<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Target Kernel Instance APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Target Kernel Instance APIs<br/>
<small>
[<a class="el" href="group__group__vx__framework__object.html">Framework Objects</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__instance__t.html">tivx_target_kernel_instance_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds information about a target kernel instance.  <a href="structtivx__target__kernel__instance__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__instance.html#gaaa106f58ef027d41c44aa5592d0bfb71">tivxTargetKernelInstanceGet</a> (uint16_t target_kernel_index, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> kernel_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Given a target_kernel_index and kernel_id return the handle to target kernel.  <a href="#gaaa106f58ef027d41c44aa5592d0bfb71"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__instance.html#gacfb7b887f376d124a76a18e97218efdd">tivxTargetKernelInstanceAlloc</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> kernel_id, <a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> target_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a target kernel instance for given kernel_id.  <a href="#gacfb7b887f376d124a76a18e97218efdd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__instance.html#gac1e8b559ce69f76402bec82af72cd1b5">tivxTargetKernelInstanceFree</a> (<a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a> *target_kernel_instance)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Free previously allocate target kernel instance.  <a href="#gac1e8b559ce69f76402bec82af72cd1b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__instance.html#ga9ef96cbb47593774cdb647817ef1b315">tivxTargetKernelInstanceGetIndex</a> (<a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a> target_kernel_instance)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get fast index key for a given target kernel instance.  <a href="#ga9ef96cbb47593774cdb647817ef1b315"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__target__kernel.html#ga0db4696f0a19630d7f741ab5650be01a">tivx_target_kernel</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__instance.html#ga33b0e8b85ed190c95b903719d8bb6af2">tivxTargetKernelInstanceGetKernel</a> (<a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a> target_kernel_instance)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get target kernel for a given target kernel instance.  <a href="#ga33b0e8b85ed190c95b903719d8bb6af2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__instance.html#gabc98338e5a4bd250e675dca2d73d6ef8">tivxTargetKernelInstanceInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Init Target Kernel Instance Module.  <a href="#gabc98338e5a4bd250e675dca2d73d6ef8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__kernel__instance.html#ga3b14be7e87e6c02f763f61b01bf3a8b9">tivxTargetKernelInstanceDeInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">De-Init Target Kernel Instance Module.  <a href="#ga3b14be7e87e6c02f763f61b01bf3a8b9"></a><br/></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gaaa106f58ef027d41c44aa5592d0bfb71"></a><!-- doxytag: member="tivx_target_kernel_instance.h::tivxTargetKernelInstanceGet" ref="gaaa106f58ef027d41c44aa5592d0bfb71" args="(uint16_t target_kernel_index, vx_enum kernel_id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a> tivxTargetKernelInstanceGet </td>
          <td>(</td>
          <td class="paramtype">uint16_t&nbsp;</td>
          <td class="paramname"> <em>target_kernel_index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>kernel_id</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Given a target_kernel_index and kernel_id return the handle to target kernel. </p>
<p>Target kernel handle is created during create phase. During run phase, this API is used to quickly get access to the target_kernel_handle given target_kernel_index key.</p>
<p>kernel_id is used to confirm the handle matches the required kernel.</p>
<p>NULL is return if target kernel handle is not found. </p>

</div>
</div>
<a class="anchor" id="gacfb7b887f376d124a76a18e97218efdd"></a><!-- doxytag: member="tivx_target_kernel_instance.h::tivxTargetKernelInstanceAlloc" ref="gacfb7b887f376d124a76a18e97218efdd" args="(vx_enum kernel_id, vx_enum target_id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a> tivxTargetKernelInstanceAlloc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>kernel_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>target_id</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a target kernel instance for given kernel_id. </p>

</div>
</div>
<a class="anchor" id="gac1e8b559ce69f76402bec82af72cd1b5"></a><!-- doxytag: member="tivx_target_kernel_instance.h::tivxTargetKernelInstanceFree" ref="gac1e8b559ce69f76402bec82af72cd1b5" args="(tivx_target_kernel_instance *target_kernel_instance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxTargetKernelInstanceFree </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a> *&nbsp;</td>
          <td class="paramname"> <em>target_kernel_instance</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Free previously allocate target kernel instance. </p>

</div>
</div>
<a class="anchor" id="ga9ef96cbb47593774cdb647817ef1b315"></a><!-- doxytag: member="tivx_target_kernel_instance.h::tivxTargetKernelInstanceGetIndex" ref="ga9ef96cbb47593774cdb647817ef1b315" args="(tivx_target_kernel_instance target_kernel_instance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t tivxTargetKernelInstanceGetIndex </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a>&nbsp;</td>
          <td class="paramname"> <em>target_kernel_instance</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get fast index key for a given target kernel instance. </p>

</div>
</div>
<a class="anchor" id="ga33b0e8b85ed190c95b903719d8bb6af2"></a><!-- doxytag: member="tivx_target_kernel_instance.h::tivxTargetKernelInstanceGetKernel" ref="ga33b0e8b85ed190c95b903719d8bb6af2" args="(tivx_target_kernel_instance target_kernel_instance)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__target__kernel.html#ga0db4696f0a19630d7f741ab5650be01a">tivx_target_kernel</a> tivxTargetKernelInstanceGetKernel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__target__kernel.html#ga333da592b786ba63f0a6c9c126eb1cd8">tivx_target_kernel_instance</a>&nbsp;</td>
          <td class="paramname"> <em>target_kernel_instance</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get target kernel for a given target kernel instance. </p>

</div>
</div>
<a class="anchor" id="gabc98338e5a4bd250e675dca2d73d6ef8"></a><!-- doxytag: member="tivx_target_kernel_instance.h::tivxTargetKernelInstanceInit" ref="gabc98338e5a4bd250e675dca2d73d6ef8" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxTargetKernelInstanceInit </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Init Target Kernel Instance Module. </p>

</div>
</div>
<a class="anchor" id="ga3b14be7e87e6c02f763f61b01bf3a8b9"></a><!-- doxytag: member="tivx_target_kernel_instance.h::tivxTargetKernelInstanceDeInit" ref="ga3b14be7e87e6c02f763f61b01bf3a8b9" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxTargetKernelInstanceDeInit </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>De-Init Target Kernel Instance Module. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
